Subject: Re: [PATCH] r8169: Add new device ID support

From: Stephen Hemminger <[email-masked]>
Date: Wed, 24 Oct 2018 08:47:10 -0700

On Wed, 24 Oct 2018 14:29:34 +0800
Shawn Lin <[email-masked]> wrote:

> On 2018/10/24 13:54, David Miller wrote:
> > From: Shawn Lin <[email-masked]>
> > Date: Wed, 24 Oct 2018 13:48:55 +0800
> >   
> >> Hi David,
> >>
> >> On 2018/10/24 10:19, David Miller wrote:  
> >>> From: Shawn Lin <[email-masked]>
> >>> Date: Wed, 24 Oct 2018 09:46:47 +0800
> >>>  
> >>>> It's found my r8169 ethernet card at hand has a device ID
> >>>> of 0x0000 which wasn't on the list of rtl8169_pci_tbl. Add
> >>>> a new entry to make it work:  
> >>>    ...  
> >>>> 01:00.0 Class 0200: 10ec:0000  
> >>> I don't know about this.
> >>> A value of zero could mean the device is mis-responding to
> >>> PCI config space requests or something like that.  
> >>
> >> It was working fine on my retired Windows XP home PC with same devcice
> >> ID listed, so I guess r8169 driver for windows system knows 0x0000 is
> >> also valid.  
> > 
> > It is also possible the device comes up in a different state.
> > 
> > Under windows does it show with that device ID of zero?  
> 
> yup. More precisely, I checked how BIOS enumerate it by PCIe analyzer
> and see it does report 0x0000 as device ID.
> 
> > 
> > 
> >   
> 

Look at device manager properties of the device in Windows?